read-character-map
Prev | Common » Character-Map Template Reference | Next

## read-character-map

read-character-map — Reads in all or part of an XSLT character map

## Synopsis

    <xsl:template name="read-character-map">
    <xsl:param name="use.subset"/>
    <xsl:param name="subset.profile"/>
    <xsl:param name="uri"/>
      ...
    </xsl:template>

## Description

The XSLT 2.0 specification describes character maps and explains how they may be used to allow a specific character appearing in a text or attribute node in a final result tree to be substituted by a specified string of characters during serialization. The `read-character-map` template provides a means for reading and using character maps with XSLT 1.0-based tools.

This template reads the character-map contents from `uri` (in full or in part, depending on the value of the `use.subset` parameter), then passes those contents to the `apply-character-map` template, along with `content`, the data on which to perform the character substitution.

Using the character map “in part” means that it uses only those `output-character` elements that match the XPath expression given in the value of the `subset.profile` parameter. The current implementation of that capability here relies on the `evaluate` extension XSLT function.

## Parameters

use.subset

  Specifies whether to use a subset of the character map instead of the whole map; boolean `0` or `1`

subset.profile

  XPath expression that specifies what subset of the character map to use

uri

  URI for a character map

Prev | Up | Next
apply-character-map | Home | Part 3. Formatting Object Table Reference